<?php
/**
 * Show morphology
 *
 *
 * @author Andreas Plank <andreas.plank@web.de>
 * @version 2009-02-24 21:24:33
 * @license Noncommercial-Share Alike 3.0 Unported
 * @todo minor issue: document further detailed
 * @category determination key
 * @package chirokey_adults
 * @subpackage key
 */
header('content-type: text/html; charset=utf-8');
 ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
  <title>larval morphology</title>
  <meta name="GENERATOR" content="Quanta Plus">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script type='text/javascript' language='JavaScript' src='../structure/js/overlib.js'></script>
  <link rel="stylesheet" href="../structure/css/basic.css" type="text/css">
</head>
<body >
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>
<!--  page content  -->
<div class="content">
<script type='text/javascript' language="JavaScript1.2">

/***********************************************
* Sliding Menu Bar Script- © Dynamic Drive (www.dynamicdrive.com)
* Visit http://www.dynamicdrive.com/ for full source code
* This notice must stay intact for use
***********************************************/

var slidemenu_width='220px' //specify width of menu (in pixels)
var slidemenu_reveal='20px' //specify amount that menu should protrude initially
var slidemenu_top='20px'   //specify vertical offset of menu on page

var ns4=document.layers?1:0
var ie4=document.all
var ns6=document.getElementById&&!document.all?1:0

if (ie4||ns6)
document.write('<div id="slidemenubar2" style="left:'+((parseInt(slidemenu_width)-parseInt(slidemenu_reveal))*-1)+'px; position : fixed;top:'+slidemenu_top+'; width:'+slidemenu_width+'" onMouseover="pull()" onMouseout="draw()">')
else if (ns4){
document.write('<style>\n#slidemenubar{\nwidth:'+slidemenu_width+';}\n<\/style>\n')
document.write('<layer id="slidemenubar" left=0 top='+slidemenu_top+' width='+slidemenu_width+' onMouseover="pull()" onMouseout="draw()" visibility=hide>')
}

var sitems=new Array()

///////////Edit below/////////////////////////////////

//siteitems[x]=["Item Text", "Optional URL associated with text"]

sitems[0]=["<div style='text-align:right;'><strong>&lt;&bull;</strong></div>", ""]
sitems[1]=["<big>subfamiles</big>", ""]
sitems[2]=["Buchonomyiinae","#Buchonomyiinae"]
sitems[3]=["Chironominae (Chironomini)", "#ChironominaeChironomini"]
sitems[4]=["Chironominae (Tanytarsini)", "#ChironominaeTanytarsini"]
sitems[5]=["Diamesinae", "#Diamesinae"]
sitems[6]=["Orthocladiinae", "#Orthocladiinae"]
sitems[7]=["Podonominae", "#Podonominae"]
sitems[8]=["Prodiamesinae", "#Prodiamesinae"]
sitems[9]=["Tanypodinae", "#Tanypodinae"]
//If you want the links to load in another frame/window, specify name of target (ie: target="_new")
var target="chirokey_adults"

/////////////////////////////////////////////////////////

if (ie4||ns4||ns6){
for (i=0;i<sitems.length;i++){
if (sitems[i][1])
document.write('<a href="'+sitems[i][1]+'" target="'+target+'">')
document.write(sitems[i][0])
if (sitems[i][1])
document.write('</a>')
document.write('<br>\n')
}
}

function regenerate(){
window.location.reload()
}
function regenerate2(){
if (ns4){
document.slidemenubar.left=((parseInt(slidemenu_width)-parseInt(slidemenu_reveal))*-1)
document.slidemenubar.visibility="show"
setTimeout("window.onresize=regenerate",400)
}
}
window.onload=regenerate2

rightboundary=0
leftboundary=(parseInt(slidemenu_width)-parseInt(slidemenu_reveal))*-1

if (ie4||ns6){
document.write('</div>')
themenu=(ns6)? document.getElementById("slidemenubar2").style : document.all.slidemenubar2.style
}
else if (ns4){
document.write('</layer>')
themenu=document.layers.slidemenubar
}

function pull(){
if (window.drawit)
clearInterval(drawit)
pullit=setInterval("pullengine()",10)
}
function draw(){
clearInterval(pullit)
drawit=setInterval("drawengine()",10)
}
function pullengine(){
if ((ie4||ns6)&&parseInt(themenu.left)<rightboundary)
themenu.left=parseInt(themenu.left)+10+"px"
else if(ns4&&themenu.left<rightboundary)
themenu.left+=10
else if (window.pullit){
themenu.left=0
clearInterval(pullit)
}
}

function drawengine(){
if ((ie4||ns6)&&parseInt(themenu.left)>leftboundary)
themenu.left=parseInt(themenu.left)-10+"px"
else if(ns4&&themenu.left>leftboundary)
themenu.left-=10
else if (window.drawit){
themenu.left=leftboundary
clearInterval(drawit)
}
}
</script>

<p>See <strong>Sæther, O. A. (1980):</strong> <em>Glossary of chironomid morphology terminology (Diptera: Chironomidae)</em>. Entomologica Scandinavica Supplement. <span style='white-space:nowrap;' > Vol.&nbsp;14, Pp.&nbsp;1&#8211;51.</span> <span onmouseover="return overlib('<div style=\'padding:5px;\'>A glossary divided in parts for imagines, pupae, and adults, and including synonyms an proposed standardized abbreviations is given. Controversies as to correct terminologies are briefly discussed. Usage of the Tillyard modifications of the Comstock&mdash;Needham&rsquo;s win venationsystem, inferior, superiorand median volsellae is proposed for the imagines. For the adults the terms paraligula, premandible and mentum are prefered. A list of abbreviations is given and most of the different terms illustrated.</div>', WIDTH, 600, STICKY, MOUSEOFF, CAPTION, 'Abstract (S&aelig;ther 1980)');" onmouseout="return nd();"><img align='middle' src="../structure/img/b_annote.png" width=16 height=16 ></span> Note:&nbsp; ISSN 0105-3574.</p>

<table align="center"  style='border:1px solid;' cellpadding='2' cellspacing='0' summary='Morphology'>

<colgroup>
  <col width="200">
</colgroup>
     <tr>
    <th colspan='2'><a  id="Buchonomyiinae" href='chirokey.php?subfamily_id=7&morph_attrib_id=%60names_subfamily%60.%60morph_attrib_id%60&show=subfamily'>Buchonomyiinae</a></th>
  </tr>
  <tr>
    <td colspan='2' style='text-align:center;'>No images yet.</td>
  </tr>
  <tr>
    <th colspan='2' ><a id="ChironominaeChironomini" href="chirokey.php?subfamily_id=2&morph_attrib_id=%60names_subfamily%60.%60morph_attrib_id%60&show=subfamily">Chironominae</a><br>Tribus Chironomini
    </th>
  </tr>
  <tr>
    <td colspan='2' style='text-align:center;'>No images yet.</td>
  </tr>
  <tr>
    <th colspan='2' ><a id="ChironominaeTanytarsini" href="chirokey.php?subfamily_id=2&morph_attrib_id=%60names_subfamily%60.%60morph_attrib_id%60&show=subfamily">Chironominae</a><br>Tribus Tanytarsini
    </th>
  </tr>
  <tr>
    <td colspan='2' style='text-align:center;'>No images yet.</td>
  </tr>
  <tr>
    <th colspan='2'><a  id="Diamesinae" href='chirokey.php?subfamily_id=4&morph_attrib_id=%60names_subfamily%60.%60morph_attrib_id%60&show=subfamily'>Diamesinae</a></th>
  </tr>
  <tr><td colspan='2' style='text-align:center;'>Sorry no pictures.</td></tr>
  <tr>
    <th colspan="2"><a id="Orthocladiinae" href="chirokey.php?subfamily_id=3&morph_attrib_id=%60names_subfamily%60.%60morph_attrib_id%60&show=subfamily">Orthocladiinae</a></th>
  </tr>
  <tr>
    <td colspan='2' style='text-align:center;'>No images yet.</td>
  </tr>
  <tr>
    <th colspan='2'><a id='Podonominae' href='chirokey.php?subfamily_id=5&morph_attrib_id=%60names_subfamily%60.%60morph_attrib_id%60&show=subfamily'>Podonominae</a>
    </th>
  </tr>
  <tr>
    <td colspan='2' style='text-align:center;'>No images yet.</td>
  </tr>
  <tr>
    <th colspan='2'><a id='Prodiamesinae' href='chirokey.php?subfamily_id=6&morph_attrib_id=%60names_subfamily%60.%60morph_attrib_id%60&show=subfamily'>Prodiamesinae</a></th>
  </tr>
  <tr>
    <td colspan='2' style='text-align:center;'>No images yet.</td>
  </tr>
  <tr>
    <th colspan="2" ><a id="Tanypodinae" href="chirokey.php?subfamily_id=3&morph_attrib_id=%60names_subfamily%60.%60morph_attrib_id%60&show=subfamily">Tanypodinae</a>
    </th>
  </tr>
  <tr>
    <td colspan='2' style='text-align:center;'>No images yet.</td>
  </tr>
</table>


</div>
</body>
</html>