<?php
/**
 * Install or update database
 *
 * @author Andreas Plank <andreas.plank@web.de>
 * @version 2009-02-24 21:24:33
 * @todo minor issue: document further detailed
 * @package chirokey_larvae
 * @subpackage install/update
 */
include(preg_replace('#(.+/)([^/]+/){1}[^/]+\.php#',"\\1\\3", __FILE__).'structure/session.inc.php');
header('content-type: text/html; charset=utf-8');
# redirect to http://localhost/chip/larvae/
include(preg_replace('#(.+/)([^/]+/){1}[^/]+\.php#',"\\1\\3", __FILE__).'structure/config.php');
include(preg_replace('#(.+/)([^/]+/){1}[^/]+\.php#',"\\1\\3", __FILE__).'structure/functions.php');

// redirect without Informations
// if($mysqli->multi_query("use chirokey_larvae")){
//   header("Location: http://".$_SERVER['SERVER_NAME']."/".$config['ServerRootDir']);
//   exit;
// }

$title="Install/Update database 'chirokey_larvae'";
$link="../structure/css/basic.css";
include(preg_replace('#(.+/)([^/]+/){1}[^/]+\.php#',"\\1\\3", __FILE__).'structure/classes/sql.php');//first get classes
include(preg_replace('#(.+/)([^/]+/){1}[^/]+\.php#',"\\1\\3", __FILE__).'structure/config.php');/* login */
include(preg_replace('#(.+/)([^/]+/){1}[^/]+\.php#',"\\1\\3", __FILE__).'structure/classes/tools.php');
  if (/* session already started */
    #$_POST['user']
    isset($_SESSION['PMA_single_signon_user']) &&
    isset($_SESSION['PMA_single_signon_password']) &&
    isset($_SESSION['PMA_single_signon_host']) &&
    isset($_SESSION['PMA_single_signon_token'])
  ) {
  $form = "Do you want to:";
} else {/* session not yet started */
  $script = '
  <script type="text/javascript">
  // session not yet started: new popup
    window.open("http://localhost/'.$config['phpmyadminpath'].'/scripts/signon.php","popup","status=1,toolbar=1,menubar=1,resizable=1,location=1,width=800,height=600");
    window.location("http://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'].'");
  </script>';
  $form ="First of all: please login at first as user 'root' with no password (if not yet done) here: <a>http://localhost/".$config['phpmyadminpath']."/scripts/signon.php</a> to make this skript working. Than you can proceed:";

}
include(preg_replace('#(.+/)([^/]+/){1}[^/]+\.php#',"\\1\\3", __FILE__).'structure/pages.php');
$content = $page['head'];# read $script-variable first
# begin content here
if(!isset($_GET['action'])) {/** @annotation: 'action' NOT set **/
    $heading = "<h1>Select: Install/Update/Check for database 'chirokey_larvae'</h1>";
    $form.= "
  <ul>
    <li>Install first time? <a href='install.php?action=install&step=1' class='button'>Go..</a><input type='hidden' value=1 name='step'></li>
    <li>Update? <a href='install.php?action=update' class='button'>Go..</a></li>
    <li>Check image's integrity: folder vs. database? <a href='check.php' class='button'>Go..</a></li>
  </ul>\n";#.print_r($_SESSION,true);# print SESSION DATA for check
}elseif($_GET['action']=='install'){/** @annotation: 'action' set + install +step 1... **/
  #echo "\$_GET['action']=='install'".$_GET['step'];
  switch ($_GET['step']) {
    case 1:
      $heading = "<h1>Step 1: Create database</h1>";
      $form = '
        <a href="install.php"  ><img align="middle" border="0" src="../structure/img/backward.gif" alt="backward" width="23" height="22"> Go back.</a>
        <ol>
				  <li>If you see below the login for single sign-one then try to login to phpMyAdmin to be able to import the larvae database later on. If you use MySQL for the very first time, try user “root” and no passwort. If you succed <a href="">reload this page</a></li>
          <li>If tab <span class="menu"> <img src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/b_import.png">Import</span> is selected then upload file <span class="file">chirokey_larvae_head.sql</span> from folder <span class="file">../htdocs/'.$config['ServerRootDir'].'install/</span> with <span class="button">Go</span>. This creates the database itself with the user <strong class="warning">chiro_user</strong> and the password <strong class="warning">chiroproject</strong>. Note that user root can change everything, but user <strong class="warning">chiro_user</strong> is limited to the key-database.</li>
          <li>Next step: import all data <button type="submit" name="action" value="install">Step 2</button><input type="hidden" value=2 name="step"></li>
        </ol>
        <iframe src="http://localhost/'.$config['phpmyadminpath'].'/server_import.php?token='.$_SESSION['PMA_single_signon_token'].'" width="99%" height="400" name="installStepOne">
      ';
      break;
    case 2:
      $heading = "<h1>Step 2: Import all data into (selected) database.</h1>";
      $form = '
        <a href="install.php?action=install&step=1"  ><img align="middle" border="0" src="../structure/img/backward.gif" alt="backward" width="23" height="22"> Go back.</a>
        <ol>
          <li>
					When database is selected like <img align="middle" src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/s_host.png"> <span class="path">localhost</span> <img src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/item_ltr.png"><span class="path"> <img align="middle" src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/s_db.png"> chirokey_larvae</span> select tab <span class="menu"> <img align="middle" src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/b_import.png">Import</span> and upload file <span class="file">chirokey_larvae_yyyymmdd.sql</span> from folder <span class="file">../htdocs/'.$config['ServerRootDir'].'install/</span> and let them be executed with <span class="button">Go</span>. 
						<br/>
						<br/>
						If the limit of upload files is set too low by PHP read <a class="external" target="_blank" href="http://localhost/phpmyadmin3/Documentation.html#faq1_16">http://localhost/phpmyadmin3/Documentation.html#faq1_16</a>. (PHP settings: upload_max_filesize='.ini_get('upload_max_filesize').', 
					post_max_size='.ini_get('post_max_size').')
						<br/>
						<br/>
						The offical version has only a reduced number of images  with the database <span class="file">chirokey_larvae_reduced_yyyymmdd.sql</span> due to copyrights of other resources.
					</li>
          <li>Step 3 (optional but strongly recommended): make phpmyadmin\'s internal relations working  <button type="submit" name="action" value="install">Step 3</button><input type="hidden" value=3 name="step"></li>
          <li>Enjoy the key <a  href="http://localhost/'.$config['ServerRootDir'].'" target="_blank" class="external" title="Opens in a new window">http://'.$_SERVER['SERVER_NAME'].'/'.$config['ServerRootDir'].'</a></li>
        </ol>
        <iframe src="http://localhost/'.$config['phpmyadminpath'].'/db_import.php?db=chirokey_larvae&token='.$_SESSION['PMA_single_signon_token'].'&goto=db_structure.php"  width="99%" height="400" name="installStepTwo">
      ';
      break;
    case 3:
      $heading = "<h1>Step 3: Enable phpmyadmin's internal relation support</h1>";
      $form = '
        <a href="install.php?action=install&step=2"  ><img align="middle" border="0" src="../structure/img/backward.gif" alt="backward" width="23" height="22"> Go back.</a>
        <ol>
          <li>Database \'phpmyadmin\' alredy exists? You can check it with <a href=\'http://localhost/'.$config['phpmyadminpath'].'/\' target=\'_blank\' class=\'external\'>http://localhost/'.$config['phpmyadminpath'].'/</a> (left frame list all databases). Proceed with <button type="submit" name="action" value="install">Step 4</button><input type="hidden" value=4 name="step"></li>
          <li>If there is no database at all, called \'phpmyadmin\', then select tab <span class="menu"> <img src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/b_import.png">Import</span> and upload file <span class="file">phpmyadmin_yyyymmdd.sql</span> from folder <span class="file">../htdocs/'.$config['ServerRootDir'].'install/</span>. This creates database \'phpmyadmin\', inserts internal table releations for the database \'chirokey_larvae\' but <strong class="warning">drops(!)</strong> a possibly existing database \'phpmyadmin\'. </li>
          <li>Enjoy the key <a target="_blank"  href="http://localhost/'.$config['ServerRootDir'].'" class="external" title="Opens in a new window">http://localhost/'.$config['ServerRootDir'].'</a></li>
        </ol>
        <iframe src="http://localhost/'.$config['phpmyadminpath'].'/server_import.php?token='.$_SESSION['PMA_single_signon_token'].'" width="99%" height="400" name="installStepThree">
      ';
      break;
    case 4:
      $heading = "<h1>Step 4: Internal relations for chirokey_larvae</h1>";
      $form = '
        <a href="install.php?action=install&step=3"  ><img align="middle" border="0" src="../structure/img/backward.gif" alt="backward" width="23" height="22"> Go back.</a>
        <ol>
          <li>Select tab <span class="menu"> <img src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/b_import.png">Import</span> and import only once file <span class="file">phpmyadmin-relations_yyyymmdd.sql</span> from folder <span class="file">../htdocs/'.$config['ServerRootDir'].'install/</span> with <span class="button">Go</span> only once. This inserts the relations:
          <pre class="code">

  INSERT INTO `pma_table_info` ...
  INSERT INTO `pma_relation` ...
  </pre>
          <!-- Make sure that <img align="middle" src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/s_host.png"> <span class="path">localhost</span> <img align="middle" src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/item_ltr.png"><span class="path"> <img align="middle" src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/s_db.png"> phpmyadmin</span> is shown as the "path" above.--> </li>
          <li>That\'s all. Enjoy the key <a href="http://localhost/'.$config['ServerRootDir'].'" target="_blank" class="external" title="Opens in a new window">http://localhost/'.$config['ServerRootDir'].'</a></li>
        </ol>
        <iframe src="http://localhost/'.$config['phpmyadminpath'].'/db_import.php?db=phpmyadmin&token='.$_SESSION['PMA_single_signon_token'].'&goto=db_structure.php"  width="99%" height="400" name="installStepFour">
      ';
      break;
    default:
      $heading = "<h1>Step 1: create database</h1>";
      $form = '
        <a href="install.php"  ><img align="middle" border="0" src="../structure/img/backward.gif" alt="backward" width="23" height="22"> Go back.</a>
        <ol>
          <li>Select tab <span class="menu"> <img src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/b_import.png">Import Files</span> and upload file <span class="file">chirokey_larvae_head.sql</span> from folder <span class="file">../htdocs/'.$config['ServerRootDir'].'install/</span>. Note that the query\'s execution may happen in another alredy opened window in the background .</li>
          <li>Next step import all data <button type="submit" name="action" value="install">Step 2</button><input type="hidden" value=2 name="step"></li>
        </ol>
        <iframe src="http://localhost/'.$config['phpmyadminpath'].'/querywindow.php?token='.$_SESSION['PMA_single_signon_token'].'" width="99%" height="400" name="installStepOne">
      ';
  }# end switch(update)
}elseif($_GET['action']=='update'){/** @annotation: 'action' set + update **/
  $heading = "<h1>Update: import all data into (selected) database.</h1>";
  $form = '
    <a href="install.php"  ><img align="middle" border="0" src="../structure/img/backward.gif" alt="backward" width="23" height="22"> Go back.</a>
    <ol>
      <li>Select tab <span class="menu"> <img src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/b_import.png">Import</span> and upload the most up to date file <span class="file">chirokey_larvae_yyyymmdd.sql</span> from folder <span class="file">../htdocs/'.$config['ServerRootDir'].'install/</span> and let them be executed with <span class="button">Go</span> and <span class="warning"><strong>overwrite</strong></span> existing database.
      <br>Make sure that <img align="middle" src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/s_host.png"> <span class="path">localhost</span> <img src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/item_ltr.png"><span class="path"> <img align="middle" src="http://localhost/'.$config['phpmyadminpath'].'/themes/darkblue_orange/img/s_db.png"> chirokey_larvae</span> is shown as the "path" above. That means database chirokey_larvae is selected. Otherwise queries from the import file won\'t work or will be executed in other selcted databases. Note you can do this from <a href="http://localhost/'.$config['phpmyadminpath'].'/" target="_blank" class="external">http://localhost/'.$config['phpmyadminpath'].'</a> itself as well starting with the left menu panel.</li>
      <li>Enjoy the key <a href="http://localhost/'.$config['ServerRootDir'].'" target="_blank" class="external" title="Opens in a new window">http://localhost/'.$config['ServerRootDir'].'</a></li>
    </ol>
    <iframe src="http://localhost/'.$config['phpmyadminpath'].'/db_import.php?db=chirokey_larvae&token='.$_SESSION['PMA_single_signon_token'].'&goto=db_structure.php"  width="99%" height="400" name="update">
  ';

}# end 'action' set + update

$content.= "
<div >
  <fieldset><legend> ".$heading."</legend>
    <form action='' method='get'>
      ".$form."
    </form>
  </fieldset>
</div>
";

  echo $content;
  echo $page['foot'];
?>
