<?php
/**
 * Compose image + author's reference
 *
 * @author Andreas Plank <andreas.plank@web.de>
 * @version 2009-02-24 21:24:33
 * @license Noncommercial-Share Alike 3.0 Unported
 * @category program tools
 * @todo minor issue: document further detailed
 * @package chirokey_adults
 * @subpackage program
 */
 $currentServerPath = preg_replace('#(.+/)([^/]+/){0}[^/]+\.php#',"\\1\\3", __FILE__);
include($currentServerPath.'structure/config.php');

$genus=$_GET['genus'];
$file=$_GET['file'];
$orginal=$_GET['orginal'];
/* filename */$im_file_name = "../../".$config['dirSpec']."/".$genus."/".$file;
/* im_type height width...*/$im_attribs = @getimagesize($im_file_name);
  //[0] width
  //[1] height
  //[2] filetyp int 1 = GIF, 2 = JPG, 3 = PNG, SWF = 4
  //[3] html output
  //[4] bits
  //[5] image/png (mime)
//##### Ref.Bild ##############

/* Bildattribute */
if($im_attribs[2]==3)
  {header ("Content-type: image/png");}
elseif($im_attribs[2]==2)
  {header ("Content-type: image/jpg");}

/* Orginalbildbreite */
  if($orginal==FALSE)
  {$width=$im_attribs[0];}

/*Thumb Breite*/ $th_width=$width;
/*Thumb Hoehe */ $th_height=$width*$im_attribs[1]/$im_attribs[0];

/* replace special chars */
$ref=html_entity_decode($_GET['reference'],ENT_QUOTES);
$refer=$ref; if(empty($ref)){$refer="empty reference";};//empty reference
              $countref=@strlen($refer);//1Buchstabe ist 7 pixel lang

/* neues Bild fuer Reference */
$im_ratio=$th_height/$th_width;
if($th_width<@strlen($refer)*7-5)
{if($im_ratio>1)
{$refer=@wordwrap($refer,@round($th_height/7,0));/* Zeilen umbrechen */
$num_rows=substr_count($refer,"\n");/* Anzahl der Umbrueche */
/* neues "Ref"-Bild mit groesserer Hoehe */
$ref_im = @ImageCreatetruecolor($th_width+15*($num_rows+1), $th_height);
$angle=90;
}else{$refer=@wordwrap($refer,@round($th_width/7,0));/* Zeilen umbrechen */
$num_rows=substr_count($refer,"\n");/* Anzahl der Umbrueche */
/* neues "Ref"-Bild mit groesserer Hoehe */
$ref_im = @ImageCreatetruecolor($th_width, $th_height+15*($num_rows+1));
$angle=0;}
 }
else                      /* normales Bild */
{$ref_im = @ImageCreatetruecolor($th_width, $th_height+15);/* neues "Ref"-Bild f. horizontale Schrift */
$angle=0;}

$background_color = ImageColorAllocate ($ref_im, 255, 255, 255);//Hintergrund ref_im
imagefill($ref_im,0,0,$background_color);//ref_im mit weiss fuellen

/* Textfarbe: rot bei empty reference */
 if(empty($ref)){$text_color = ImageColorAllocate ($ref_im, 233, 14, 91);}
   else
   {$text_color = ImageColorAllocate ($ref_im, 0, 0, 0);};//Textfarbe

/* Orginalbild */
/* Bildattribute */
if($im_attribs[2]==3)/* png */
  {$im_old = @imageCreateFromPng($im_file_name);}
elseif($im_attribs[2]==2)/* jpg */
  {$im_old = @imagecreatefromjpeg($im_file_name);}

/* neues ref-Bild */
$im_new = imagecreatetruecolor($th_width,$th_height );
imageAntiAlias($im_new,true);
imageCopyResampled($im_new,$im_old,0,0,0,0,$th_width,$th_height, $im_attribs[0], $im_attribs[1]);
//imagecopyresized ( resource dst_im, resource src_im, dstX, dstY, srcX, srcY, dstW, dstH, srcW, srcH)
//ImageCopy ( int dst_im, int src_im, int dst_x, int dst_y, int src_x, int src_y, int src_w, int src_h)
  imagecopyresized($ref_im,$im_new,0,0,0,0,$th_width,$th_height,$th_width,$th_height);

/*$ref ist uebergebene Reference*/
if($im_ratio>1)
  {if($th_width>@strlen($refer)*7-5)
   {imagettftext($ref_im,8,$angle,5,$th_height+12,$text_color,"verdana.ttf",$refer);}
   else
    {imagettftext($ref_im,8,$angle,$th_width+12,$th_height-4,$text_color,"verdana.ttf",$refer);}
  }
  else
  {imagettftext($ref_im,8,$angle,5,$th_height+12,$text_color,"verdana.ttf",$refer);}


if($im_attribs[2]==3)/* png */
  {@imagePng($ref_im,$th_file_name,9);}
elseif($im_attribs[2]==2)/* jpg */
  {@imagejpeg($ref_im,$th_file_name,100);}

@imagedestroy($ref_im);
//       print_r($_GET);
//       print_r($im_file_name);

?>