<?
/**
 * Openlayer data points
 *
 * Generates a 'virtual' text file for data points in openlayer maps
 *
 * @author Andreas Plank <andreas.plank@web.de>
 * @version 2009-02-24 21:24:33
 * @license Noncommercial-Share Alike 3.0 Unported
 * @category program tools
 * @package chirokey_pupae
 * @subpackage program
 */
/**
 * Use a session
 *
 * Extract current server path relatively: {1} means one level up as it replaces
 * any string exept '/' multiple times ('+') ended by '/'. In regular expression
 * language:
 * <code>([^/]+/)</code>
 * The (..) can be used to refere the found string by \\1, \\2 and so on.
 */
include(preg_replace('#(.+/)([^/]+/){1}[^/]+\.php#',"\\1\\3", __FILE__).'structure/session.inc.php');
/* start a global session */
header('content-type: text/html; charset=utf-8');?>
point	title	description	icon<?
$searchpattern=array(
   // (95.27344$11.25$Stempellinella$o)
   // (lon,lat)
  //   "/\((.+)\$(.+)\$(.+)\$(.+)\)/U",
  "/\((([0-9]+)°\s*([0-9]*)\'\s*([0-9.]*)\'\')\\$(([0-9]+)°\s*([0-9]*)\'\s*([0-9.]*)\'\'?)\\$(.+)\\$(.*)\)/e",
  "/\((.+)\\$(.+)\\$(.+)\\$(.*)\\$(o)\)/",
  "/\((.+)\\$(.+)\\$(.+)\\$(.*)\)/",
  );
$replacepattern=array(
  "''.eval('echo \'(\';echo \\6+\\7/60+\\8/3600;echo \'$\';echo \\2+\\3/60+\\4/3600;echo \'$\';').'\\9$\\10)'",
  "\\2,\\1\t<div style='width:195px;'>\\3</div>\t<div style='width:195px;'>\\4</div>\t../structure/img/dot_darkred.png",#
  "\\2,\\1\t<div style='width:195px;'>\\3</div>\t<div style='width:195px;'>\\4</div>",# \t../structure/img/dot_darkred.png
  );
 $map=preg_replace( $searchpattern, $replacepattern,$_SESSION[$_GET['map']][0]);
 print_r($map); # print all points
 unset($_SESSION[$_GET['map']]);
 ?>