SELECT
  `names_authors`.`id`,
  COUNT(`images`.`names_authors_id`) AS 'images',
  `year`,
  CONCAT(
    `author_names`,
    CONCAT(' (',`year`,'): ',
    IFNULL(CONCAT(`title`,' - '),''),
    IFNULL(CONCAT(`journal`,'.'),''),
    IFNULL(CONCAT(' Vol.: ',`volume`,'.'),''),
    IFNULL(CONCAT(' No.: ',`number`,'.'),''),
    IFNULL(CONCAT(' ',`page`,'.'),'')
    )
  ) AS 'reference',
  `names_authors`.`author_mail`,
  `names_authors`.`author_address`
  FROM
  `names_authors`,
  `images`
  WHERE
  `images`.`names_authors_id` = `names_authors`.`id` AND
  `names_authors`.`title` IS NOT NULL AND
  `author_names` NOT LIKE '%Plank%'
  GROUP BY `images`.`names_authors_id`
  ORDER BY `names_authors`.`author_names`,`names_authors`.`title` ASC

(SELECT `id`,`author_names`,`year` FROM `names_authors`,`images` WHERE `images`.`names_authors_id` = `names_authors`.`id` AND `author_names` LIKE '%Adam, J. I.%' ) UNION

`names_authors`.`id`
`names_authors`.`authors_short`
`names_authors`.`literal`
`names_authors`.`author_filename`
`names_authors`.`author_names`
`names_authors`.`year`
`names_authors`.`author_mail`
`names_authors`.`author_address`
`names_authors`.`editor_name`
`names_authors`.`edition`
`names_authors`.`title`
`names_authors`.`journal`
`names_authors`.`journal_url`
`names_authors`.`volume`
`names_authors`.`number`
`names_authors`.`page`
`names_authors`.`month`
`names_authors`.`abstract`
`names_authors`.`note`
`names_authors`.`keywords`
`names_authors`.`entry_type`

`images`.`id`
`images`.`filename`
`images`.`annote`
`images`.`time_added`
`images`.`time_modified`
`images`.`morph_id`
`images`.`names_authors_id`
`images`.`names_valid_id`
`images`.`users_id`

SVERWEIS(WECHSELN(WECHSELN($C2;"[";"\[");"]";"\]");$B$10:B$170;1;0)

WENN(UND(FINDEN($D2;queryReference.D2;1);IDENTISCH($E2;queryReference.C2);IDENTISCH($B2;queryReference.B2));queryReference.A2;"FEHLER")